List Templates

Gets a list of all of your Templates.

KeyDescription
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

Write the code

Add the following to list-templates.sh:

curl GET "https://api.nexmo.com/v2/verify/templates" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json'

View full source

Run your code

Save this file to your machine and run it:

sh list-templates.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named list-templates.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to list-templates.js:

const run = async () => {
  try {
    for await (const fragment of vonage.verify2.listAllTemplate()) {
      console.log(fragment);
    }
  } catch (error) {
    console.error(error);
  }
};

run();

View full source

Run your code

Save this file to your machine and run it:

node list-templates.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named ListTemplates and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the ListTemplates file:

val templates = client.verify.listTemplates()
templates.forEach { println(it.id) }

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates with the package containing ListTemplates:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.ListTemplates

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named ListTemplates and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the ListTemplates file:

var templates = client.getVerify2Client().listTemplates();
templates.forEach(t -> System.out.println(t.getId()));

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing ListTemplates:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.ListTemplates

Prerequisites

composer require vonage/client

Create a file named list-templates.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to list-templates.php:

$template = $client->verify2()->listCustomTemplates(TEMPLATE_ID);

View full source

Run your code

Save this file to your machine and run it:

php list-templates.php

Prerequisites

gem install vonage

Create a file named list-templates.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_PRIVATE_KEY)
)

View full source

Write the code

Add the following to list-templates.rb:

template_list = client.verify2.templates.list

View full source

Run your code

Save this file to your machine and run it:

ruby list-templates.rb